---
title: Docker design principles
description: Docker extension design
keywords: Docker, extensions, design
---

## Provide actionable guidance
We anticipate needs and provide simple explanations with clear actions so people are never lost and always know what to do next. Recommendations lead users to functionality that enhances the experience and extends their knowledge.
<br>

## Create value through confidence
People from all levels of experience should feel they know how to use our product. Experiences are familiar, unified, and easy to use so all users feel like experts.
<br>

## Infuse productivity with delight
We seek out moments of purposeful delight that elevate rather than distract, making work easier and more gratifying. Simple tasks are automated and users are left with more time for innovation.
<br>

## Build trust through transparency
We always provide clarity on what is happening and why. No amount of detail is withheld; the right information is shown at the right time and is always accessible.
<br>

## Scale with intention
Our products focus on inclusive growth and are continuously useful and adapt to match changing individual needs. We support all levels of expertise by meeting users where they are with conscious personalization.
<br>

## What's next?

- Take a look at our [UI styling guidelines](overview.md).
- Learn how to [publish your extension](../extensions/index.md).
